Bug 1156330 - [abrt] webkitgtk4: WebCore::AccessibilityRenderObject::isOffScreen() const(): WebKitWebProcess killed by SIGSEGV
Summary: [abrt] webkitgtk4: WebCore::AccessibilityRenderObject::isOffScreen() const():...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8d28b0e3f9dce5f47124fc5fbfa...
: 1138919 1170831 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-24 08:50 UTC by Matthias Kluge
Modified: 2015-03-29 04:46 UTC (History)
12 users (show)

Fixed In Version: webkitgtk4-2.6.5-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-29 04:46:07 UTC


Attachments (Terms of Use)
File: backtrace (43.46 KB, text/plain)
2014-10-24 08:50 UTC, Matthias Kluge
no flags Details
File: cgroup (190 bytes, text/plain)
2014-10-24 08:51 UTC, Matthias Kluge
no flags Details
File: core_backtrace (29.51 KB, text/plain)
2014-10-24 08:51 UTC, Matthias Kluge
no flags Details
File: dso_list (14.13 KB, text/plain)
2014-10-24 08:51 UTC, Matthias Kluge
no flags Details
File: environ (1.12 KB, text/plain)
2014-10-24 08:51 UTC, Matthias Kluge
no flags Details
File: exploitable (100 bytes, text/plain)
2014-10-24 08:51 UTC, Matthias Kluge
no flags Details
File: limits (1.29 KB, text/plain)
2014-10-24 08:51 UTC, Matthias Kluge
no flags Details
File: maps (133.87 KB, text/plain)
2014-10-24 08:51 UTC, Matthias Kluge
no flags Details
File: open_fds (1.34 KB, text/plain)
2014-10-24 08:51 UTC, Matthias Kluge
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-10-24 08:51 UTC, Matthias Kluge
no flags Details
File: var_log_messages (214 bytes, text/plain)
2014-10-24 08:51 UTC, Matthias Kluge
no flags Details


Links
System ID Priority Status Summary Last Updated
WebKit Project 142309 None None None Never

Description Matthias Kluge 2014-10-24 08:50:56 UTC
Version-Release number of selected component:
webkitgtk4-2.6.2-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 21
crash_function: WebCore::AccessibilityRenderObject::isOffScreen() const
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
kernel:         3.17.1-303.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::AccessibilityRenderObject::isOffScreen() const at /lib64/libwebkit2gtk-4.0.so.37
 #1 webkitAccessibleRefStateSet(_AtkObject*) at /lib64/libwebkit2gtk-4.0.so.37
 #2 children_changed_event_listener at /lib64/libatk-bridge-2.0.so.0
 #5 g_signal_emit_by_name at /lib64/libgobject-2.0.so.0
 #6 WebCore::AXObjectCache::getOrCreate(WebCore::Widget*) at /lib64/libwebkit2gtk-4.0.so.37
 #7 WebCore::AccessibilityObject::isARIAHidden() const at /lib64/libwebkit2gtk-4.0.so.37
 #8 WebCore::AccessibilityObject::defaultObjectInclusion() const at /lib64/libwebkit2gtk-4.0.so.37
 #9 WebCore::AccessibilityObject::accessibilityIsIgnoredByDefault() const at /lib64/libwebkit2gtk-4.0.so.37
 #10 WebCore::AXObjectCache::attachWrapper(WebCore::AccessibilityObject*) at /lib64/libwebkit2gtk-4.0.so.37
 #11 WebCore::AXObjectCache::getOrCreate(WebCore::RenderObject*) at /lib64/libwebkit2gtk-4.0.so.37

Comment 1 Matthias Kluge 2014-10-24 08:50:59 UTC
Created attachment 950263 [details]
File: backtrace

Comment 2 Matthias Kluge 2014-10-24 08:51:00 UTC
Created attachment 950264 [details]
File: cgroup

Comment 3 Matthias Kluge 2014-10-24 08:51:02 UTC
Created attachment 950265 [details]
File: core_backtrace

Comment 4 Matthias Kluge 2014-10-24 08:51:04 UTC
Created attachment 950266 [details]
File: dso_list

Comment 5 Matthias Kluge 2014-10-24 08:51:05 UTC
Created attachment 950267 [details]
File: environ

Comment 6 Matthias Kluge 2014-10-24 08:51:06 UTC
Created attachment 950268 [details]
File: exploitable

Comment 7 Matthias Kluge 2014-10-24 08:51:07 UTC
Created attachment 950269 [details]
File: limits

Comment 8 Matthias Kluge 2014-10-24 08:51:11 UTC
Created attachment 950270 [details]
File: maps

Comment 9 Matthias Kluge 2014-10-24 08:51:12 UTC
Created attachment 950271 [details]
File: open_fds

Comment 10 Matthias Kluge 2014-10-24 08:51:13 UTC
Created attachment 950273 [details]
File: proc_pid_status

Comment 11 Matthias Kluge 2014-10-24 08:51:14 UTC
Created attachment 950274 [details]
File: var_log_messages

Comment 12 William Moreno 2015-01-19 02:41:41 UTC
I got this error visiting this page:

http://www.taringa.net/posts/linux/18436559/Todocli-Lista-de-cosas-de-hacer-para-la-terminal.html

Comment 13 Joachim Frieben 2015-01-26 13:23:13 UTC
Still applies to webkitgtk4-2.6.5-1.fc21.

Comment 14 Michael Catanzaro 2015-02-28 03:49:55 UTC
*** Bug 1138919 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2015-03-17 14:08:35 UTC
webkitgtk4-2.6.5-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/webkitgtk4-2.6.5-2.fc21

Comment 16 Fedora Update System 2015-03-18 14:29:57 UTC
webkitgtk4-2.6.5-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/webkitgtk4-2.6.5-3.fc21

Comment 17 Fedora Update System 2015-03-19 18:41:31 UTC
Package webkitgtk4-2.6.5-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing webkitgtk4-2.6.5-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4171/webkitgtk4-2.6.5-3.fc21
then log in and leave karma (feedback).

Comment 18 Michael Catanzaro 2015-03-23 14:24:17 UTC
*** Bug 1170831 has been marked as a duplicate of this bug. ***

Comment 19 Michael Catanzaro 2015-03-27 02:35:25 UTC
Seems I can reproduce this reliably by attempting to leave a comment on this blog: http://opensource-usability.blogspot.com/2015/03/hands-on-usability-improvements-with.html

Since children_changed_event_listener is in the backtrace I figure it is probably fixed by 2.6.5-3.fc21; we'll see....

Comment 20 Joanmarie Diggs 2015-03-27 12:50:57 UTC
It should be.

Comment 21 Michael Catanzaro 2015-03-27 14:40:06 UTC
Oops, I thought I was commenting on a different bug. Now I have no clue what bug I meant to leave that comment on. :)

Comment 22 Fedora Update System 2015-03-29 04:46:07 UTC
webkitgtk4-2.6.5-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.